Loading...
Searching...
No Matches
thrift_application_base_impl Class Reference

Class to be statically initialized by thrift_application_base. Used to store state for thrift_application_base's singleton functions. More...

`#include <gnuradio/thrift_application_base.h>`

## Public Member Functions

| thrift_application_base_impl ()

## Public Attributes

bool | d_application_initialized
std::string | d_endpointStr
std::shared_ptr< gr::thread::thread > | d_start_thrift_thread

## Detailed Description

Class to be statically initialized by thrift_application_base. Used to store state for thrift_application_base's singleton functions.

## Constructor & Destructor Documentation

## thrift_application_base_impl()

thrift_application_base_impl::thrift_application_base_impl | ( |  | ) |

inline

References d_application_initialized, d_endpointStr, and d_start_thrift_thread.

## Member Data Documentation

## d_application_initialized

bool thrift_application_base_impl::d_application_initialized

Referenced by thrift_application_base_impl().

## d_endpointStr

std::string thrift_application_base_impl::d_endpointStr

Referenced by thrift_application_base_impl().

## d_start_thrift_thread

std::shared_ptr<gr::thread::thread> thrift_application_base_impl::d_start_thrift_thread

Referenced by thrift_application_base_impl().

The documentation for this class was generated from the following file:

- thrift_application_base.h